SMTPConfig (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.SMTPConfig interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface SMTPConfig

All Superinterfaces:
  LogicalElement, LotusConfig, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMTPConfig

extends LotusConfig

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getAddressLookup()`
`java.lang.String` | `getDenyMailFromDomains()`
`int` | `getDNSBlacklistFilters()`
`int` | `getEncryptAllDeliveredMail()`
`int` | `getExceptionsForAuthenticatedUsers()`
`int` | `getExhaustiveLookup()`
`int` | `getExpiredMessagePurgeInterval()`
`int` | `getHostNameLookup()`
`int` | `getInitialTransferRetryInterval()`
`java.lang.String` | `getLowPriorityDelayNotification()`
`int` | `getLowPriorityMailRoutingTimeRange()`
`int` | `getMaximumHopCount()`
`int` | `getMaximumMessageSize()`
`int` | `getNumberOfMailboxes()`
`int` | `getOverQuotaEnforcement()`
`int` | `getOverQuotaNotification()`
`int` | `getOverWarningThresholdNotifications()`
`int` | `getPerformAntiRelayEnforcementForTheseConnectingHosts()`
`int` | `getPreDeliveryAgents()`
`int` | `getPreDeliveryAgentTimeout()`
`java.lang.String` | `getRelayHostForMessagesLeavingTheLocalInternetDomain()`
`int` | `getRouterLowPriorityMax()`
`int` | `getRouterLowPrioritySizeBegin()`
`java.lang.String` | `getRouterLowSizeFlag()`
`int` | `getSendAllMessagesAsLowPriorityIfSizeIsBetween()`
`int` | `getServersWithinLocalInternetDomainReachableViaSMTPOverTCPIP()`
`java.lang.String` | `getSmartHostIsUsedForAllLocalInternetDomains()`
`int` | `getSMTPAllowedWithinLocalInternetDomain()`
`int` | `getSMTPUsedWhenSendingMessagesOutsideLocalInternetDomain()`
`int` | `getUserRulesMailForwarding()`
`int` | `getVerifyConnectingHostnameInDNS()`
`int` | `getVerifySendersDomainInDNS()`
`int` | `getVerifyThatLocalDomainReceipientsExistInDominoDirectory()`
`boolean` | `hasAddressLookup()`
`boolean` | `hasDenyMailFromDomains()`
`boolean` | `hasDNSBlacklistFilters()`
`boolean` | `hasEncryptAllDeliveredMail()`
`boolean` | `hasExceptionsForAuthenticatedUsers()`
`boolean` | `hasExhaustiveLookup()`
`boolean` | `hasExpiredMessagePurgeInterval()`
`boolean` | `hasHostNameLookup()`
`boolean` | `hasInitialTransferRetryInterval()`
`boolean` | `hasLowPriorityDelayNotification()`
`boolean` | `hasLowPriorityMailRoutingTimeRange()`
`boolean` | `hasMaximumHopCount()`
`boolean` | `hasMaximumMessageSize()`
`boolean` | `hasNumberOfMailboxes()`
`boolean` | `hasOverQuotaEnforcement()`
`boolean` | `hasOverQuotaNotification()`
`boolean` | `hasOverWarningThresholdNotifications()`
`boolean` | `hasPerformAntiRelayEnforcementForTheseConnectingHosts()`
`boolean` | `hasPreDeliveryAgents()`
`boolean` | `hasPreDeliveryAgentTimeout()`
`boolean` | `hasRelayHostForMessagesLeavingTheLocalInternetDomain()`
`boolean` | `hasRouterLowPriorityMax()`
`boolean` | `hasRouterLowPrioritySizeBegin()`
`boolean` | `hasRouterLowSizeFlag()`
`boolean` | `hasSendAllMessagesAsLowPriorityIfSizeIsBetween()`
`boolean` | `hasServersWithinLocalInternetDomainReachableViaSMTPOverTCPIP()`
`boolean` | `hasSmartHostIsUsedForAllLocalInternetDomains()`
`boolean` | `hasSMTPAllowedWithinLocalInternetDomain()`
`boolean` | `hasSMTPUsedWhenSendingMessagesOutsideLocalInternetDomain()`
`boolean` | `hasUserRulesMailForwarding()`
`boolean` | `hasVerifyConnectingHostnameInDNS()`
`boolean` | `hasVerifySendersDomainInDNS()`
`boolean` | `hasVerifyThatLocalDomainReceipientsExistInDominoDirectory()`
`void` | `setAddressLookup(int s)`
`void` | `setDenyMailFromDomains(java.lang.String s)`
`void` | `setDNSBlacklistFilters(int s)`
`void` | `setEncryptAllDeliveredMail(int s)`
`void` | `setExceptionsForAuthenticatedUsers(int s)`
`void` | `setExhaustiveLookup(int s)`
`void` | `setExpiredMessagePurgeInterval(int s)`
`void` | `setHostNameLookup(int s)`
`void` | `setInitialTransferRetryInterval(int s)`
`void` | `setLowPriorityDelayNotification(java.lang.String s)`
`void` | `setLowPriorityMailRoutingTimeRange(int s)`
`void` | `setMaximumHopCount(int s)`
`void` | `setMaximumMessageSize(int s)`
`void` | `setNumberOfMailboxes(int s)`
`void` | `setOverQuotaEnforcement(int s)`
`void` | `setOverQuotaNotification(int s)`
`void` | `setOverWarningThresholdNotifications(int s)`
`void` | `setPerformAntiRelayEnforcementForTheseConnectingHosts(int s)`
`void` | `setPreDeliveryAgents(int s)`
`void` | `setPreDeliveryAgentTimeout(int s)`
`void` | `setRelayHostForMessagesLeavingTheLocalInternetDomain(java.lang.String s)`
`void` | `setRouterLowPriorityMax(int s)`
`void` | `setRouterLowPrioritySizeBegin(int s)`
`void` | `setRouterLowSizeFlag(java.lang.String s)`
`void` | `setSendAllMessagesAsLowPriorityIfSizeIsBetween(int s)`
`void` | `setServersWithinLocalInternetDomainReachableViaSMTPOverTCPIP(int s)`
`void` | `setSmartHostIsUsedForAllLocalInternetDomains(java.lang.String s)`
`void` | `setSMTPAllowedWithinLocalInternetDomain(int s)`
`void` | `setSMTPUsedWhenSendingMessagesOutsideLocalInternetDomain(int s)`
`void` | `setUserRulesMailForwarding(int s)`
`void` | `setVerifyConnectingHostnameInDNS(int s)`
`void` | `setVerifySendersDomainInDNS(int s)`
`void` | `setVerifyThatLocalDomainReceipientsExistInDominoDirectory(int s)`

Methods inherited from interface com.collation.platform.model.topology.app.lotus.LotusConfig
`getAdditionalFields, getAnonymous, getAuthenticationOptions, getClientCertificate, getEnforceServerAccessSettings, getNameAndPassword, getParent, getPort, getPortStatus, getSSLAnonymous, getSSLAuthenticationOptions, getSSLNameAndPassword, getSSLPortNumber, getSSLPortStatus, getType, hasAdditionalFields, hasAnonymous, hasAuthenticationOptions, hasClientCertificate, hasEnforceServerAccessSettings, hasNameAndPassword, hasParent, hasPort, hasPortStatus, hasSSLAnonymous, hasSSLAuthenticationOptions, hasSSLNameAndPassword, hasSSLPortNumber, hasSSLPortStatus, hasType, setAdditionalFields, setAnonymous, setAuthenticationOptions, setClientCertificate, setEnforceServerAccessSettings, setNameAndPassword, setParent, setPort, setPortStatus, setSSLAnonymous, setSSLAuthenticationOptions, setSSLNameAndPassword, setSSLPortNumber, setSSLPortStatus, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setNumberOfMailboxes

    void setNumberOfMailboxes(int s)

### getNumberOfMailboxes

    int getNumberOfMailboxes()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasNumberOfMailboxes

    boolean hasNumberOfMailboxes()

### setSMTPUsedWhenSendingMessagesOutsideLocalInternetDomain

    void setSMTPUsedWhenSendingMessagesOutsideLocalInternetDomain(int s)

### getSMTPUsedWhenSendingMessagesOutsideLocalInternetDomain

    int getSMTPUsedWhenSendingMessagesOutsideLocalInternetDomain()
                                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSMTPUsedWhenSendingMessagesOutsideLocalInternetDomain

    boolean hasSMTPUsedWhenSendingMessagesOutsideLocalInternetDomain()

### setSMTPAllowedWithinLocalInternetDomain

    void setSMTPAllowedWithinLocalInternetDomain(int s)

### getSMTPAllowedWithinLocalInternetDomain

    int getSMTPAllowedWithinLocalInternetDomain()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSMTPAllowedWithinLocalInternetDomain

    boolean hasSMTPAllowedWithinLocalInternetDomain()

### setServersWithinLocalInternetDomainReachableViaSMTPOverTCPIP

    void setServersWithinLocalInternetDomainReachableViaSMTPOverTCPIP(int s)

### getServersWithinLocalInternetDomainReachableViaSMTPOverTCPIP

    int getServersWithinLocalInternetDomainReachableViaSMTPOverTCPIP()
                                                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServersWithinLocalInternetDomainReachableViaSMTPOverTCPIP

    boolean hasServersWithinLocalInternetDomainReachableViaSMTPOverTCPIP()

### setAddressLookup

    void setAddressLookup(int s)

### getAddressLookup

    int getAddressLookup()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAddressLookup

    boolean hasAddressLookup()

### setExhaustiveLookup

    void setExhaustiveLookup(int s)

### getExhaustiveLookup

    int getExhaustiveLookup()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasExhaustiveLookup

    boolean hasExhaustiveLookup()

### setRelayHostForMessagesLeavingTheLocalInternetDomain

    void setRelayHostForMessagesLeavingTheLocalInternetDomain(java.lang.String s)

### getRelayHostForMessagesLeavingTheLocalInternetDomain

    java.lang.String getRelayHostForMessagesLeavingTheLocalInternetDomain()
                                                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRelayHostForMessagesLeavingTheLocalInternetDomain

    boolean hasRelayHostForMessagesLeavingTheLocalInternetDomain()

### setSmartHostIsUsedForAllLocalInternetDomains

    void setSmartHostIsUsedForAllLocalInternetDomains(java.lang.String s)

### getSmartHostIsUsedForAllLocalInternetDomains

    java.lang.String getSmartHostIsUsedForAllLocalInternetDomains()
                                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSmartHostIsUsedForAllLocalInternetDomains

    boolean hasSmartHostIsUsedForAllLocalInternetDomains()

### setHostNameLookup

    void setHostNameLookup(int s)

### getHostNameLookup

    int getHostNameLookup()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHostNameLookup

    boolean hasHostNameLookup()

### setDenyMailFromDomains

    void setDenyMailFromDomains(java.lang.String s)

### getDenyMailFromDomains

    java.lang.String getDenyMailFromDomains()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDenyMailFromDomains

    boolean hasDenyMailFromDomains()

### setMaximumMessageSize

    void setMaximumMessageSize(int s)

### getMaximumMessageSize

    int getMaximumMessageSize()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaximumMessageSize

    boolean hasMaximumMessageSize()

### setSendAllMessagesAsLowPriorityIfSizeIsBetween

    void setSendAllMessagesAsLowPriorityIfSizeIsBetween(int s)

### getSendAllMessagesAsLowPriorityIfSizeIsBetween

    int getSendAllMessagesAsLowPriorityIfSizeIsBetween()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSendAllMessagesAsLowPriorityIfSizeIsBetween

    boolean hasSendAllMessagesAsLowPriorityIfSizeIsBetween()

### setRouterLowPrioritySizeBegin

    void setRouterLowPrioritySizeBegin(int s)

### getRouterLowPrioritySizeBegin

    int getRouterLowPrioritySizeBegin()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRouterLowPrioritySizeBegin

    boolean hasRouterLowPrioritySizeBegin()

### setRouterLowPriorityMax

    void setRouterLowPriorityMax(int s)

### getRouterLowPriorityMax

    int getRouterLowPriorityMax()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRouterLowPriorityMax

    boolean hasRouterLowPriorityMax()

### setRouterLowSizeFlag

    void setRouterLowSizeFlag(java.lang.String s)

### getRouterLowSizeFlag

    java.lang.String getRouterLowSizeFlag()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRouterLowSizeFlag

    boolean hasRouterLowSizeFlag()

### setPerformAntiRelayEnforcementForTheseConnectingHosts

    void setPerformAntiRelayEnforcementForTheseConnectingHosts(int s)

### getPerformAntiRelayEnforcementForTheseConnectingHosts

    int getPerformAntiRelayEnforcementForTheseConnectingHosts()
                                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPerformAntiRelayEnforcementForTheseConnectingHosts

    boolean hasPerformAntiRelayEnforcementForTheseConnectingHosts()

### setExceptionsForAuthenticatedUsers

    void setExceptionsForAuthenticatedUsers(int s)

### getExceptionsForAuthenticatedUsers

    int getExceptionsForAuthenticatedUsers()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasExceptionsForAuthenticatedUsers

    boolean hasExceptionsForAuthenticatedUsers()

### setDNSBlacklistFilters

    void setDNSBlacklistFilters(int s)

### getDNSBlacklistFilters

    int getDNSBlacklistFilters()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDNSBlacklistFilters

    boolean hasDNSBlacklistFilters()

### setVerifyConnectingHostnameInDNS

    void setVerifyConnectingHostnameInDNS(int s)

### getVerifyConnectingHostnameInDNS

    int getVerifyConnectingHostnameInDNS()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasVerifyConnectingHostnameInDNS

    boolean hasVerifyConnectingHostnameInDNS()

### setVerifySendersDomainInDNS

    void setVerifySendersDomainInDNS(int s)

### getVerifySendersDomainInDNS

    int getVerifySendersDomainInDNS()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasVerifySendersDomainInDNS

    boolean hasVerifySendersDomainInDNS()

### setVerifyThatLocalDomainReceipientsExistInDominoDirectory

    void setVerifyThatLocalDomainReceipientsExistInDominoDirectory(int s)

### getVerifyThatLocalDomainReceipientsExistInDominoDirectory

    int getVerifyThatLocalDomainReceipientsExistInDominoDirectory()
                                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasVerifyThatLocalDomainReceipientsExistInDominoDirectory

    boolean hasVerifyThatLocalDomainReceipientsExistInDominoDirectory()

### setEncryptAllDeliveredMail

    void setEncryptAllDeliveredMail(int s)

### getEncryptAllDeliveredMail

    int getEncryptAllDeliveredMail()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasEncryptAllDeliveredMail

    boolean hasEncryptAllDeliveredMail()

### setPreDeliveryAgents

    void setPreDeliveryAgents(int s)

### getPreDeliveryAgents

    int getPreDeliveryAgents()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPreDeliveryAgents

    boolean hasPreDeliveryAgents()

### setPreDeliveryAgentTimeout

    void setPreDeliveryAgentTimeout(int s)

### getPreDeliveryAgentTimeout

    int getPreDeliveryAgentTimeout()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPreDeliveryAgentTimeout

    boolean hasPreDeliveryAgentTimeout()

### setUserRulesMailForwarding

    void setUserRulesMailForwarding(int s)

### getUserRulesMailForwarding

    int getUserRulesMailForwarding()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasUserRulesMailForwarding

    boolean hasUserRulesMailForwarding()

### setOverWarningThresholdNotifications

    void setOverWarningThresholdNotifications(int s)

### getOverWarningThresholdNotifications

    int getOverWarningThresholdNotifications()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOverWarningThresholdNotifications

    boolean hasOverWarningThresholdNotifications()

### setOverQuotaNotification

    void setOverQuotaNotification(int s)

### getOverQuotaNotification

    int getOverQuotaNotification()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOverQuotaNotification

    boolean hasOverQuotaNotification()

### setOverQuotaEnforcement

    void setOverQuotaEnforcement(int s)

### getOverQuotaEnforcement

    int getOverQuotaEnforcement()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOverQuotaEnforcement

    boolean hasOverQuotaEnforcement()

### setMaximumHopCount

    void setMaximumHopCount(int s)

### getMaximumHopCount

    int getMaximumHopCount()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaximumHopCount

    boolean hasMaximumHopCount()

### setLowPriorityMailRoutingTimeRange

    void setLowPriorityMailRoutingTimeRange(int s)

### getLowPriorityMailRoutingTimeRange

    int getLowPriorityMailRoutingTimeRange()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLowPriorityMailRoutingTimeRange

    boolean hasLowPriorityMailRoutingTimeRange()

### setLowPriorityDelayNotification

    void setLowPriorityDelayNotification(java.lang.String s)

### getLowPriorityDelayNotification

    java.lang.String getLowPriorityDelayNotification()
                                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLowPriorityDelayNotification

    boolean hasLowPriorityDelayNotification()

### setInitialTransferRetryInterval

    void setInitialTransferRetryInterval(int s)

### getInitialTransferRetryInterval

    int getInitialTransferRetryInterval()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasInitialTransferRetryInterval

    boolean hasInitialTransferRetryInterval()

### setExpiredMessagePurgeInterval

    void setExpiredMessagePurgeInterval(int s)

### getExpiredMessagePurgeInterval

    int getExpiredMessagePurgeInterval()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasExpiredMessagePurgeInterval

    boolean hasExpiredMessagePurgeInterval()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD